## org.opencyc.elf
Class ELFObject

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject

Direct Known Subclasses:
  Experience, Goal, Node, NodeComponent

public class ELFObject
extends java.lang.Object

Provides common behavior and attributes for all Elementary Loop Functioning (ELF) objects.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected java.lang.String` `name` the unique name of this ELF object

Constructor Summary
`ELFObject()` Constructs a new ELFObject object.

Method Summary
`java.lang.String` `getName()` Gets the unique name of this ELF object
`void` `setName(java.lang.String name)` Sets the unique name of this ELF object
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  the unique name of this ELF object

Constructor Detail

### ELFObject

    public ELFObject()

  Constructs a new ELFObject object.

Method Detail

### getName

    public java.lang.String getName()

  Gets the unique name of this ELF object
  Returns:
    the unique name of this ELF object

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object

### setName

    public void setName(java.lang.String name)

  Sets the unique name of this ELF object
  Parameters:
    `name` - the unique name of this ELF object